summaryrefslogtreecommitdiffstats
path: root/network/inadyn
diff options
context:
space:
mode:
Diffstat (limited to 'network/inadyn')
-rw-r--r--network/inadyn/README11
-rw-r--r--network/inadyn/doinst.sh3
-rw-r--r--network/inadyn/inadyn.SlackBuild33
-rw-r--r--network/inadyn/inadyn.info10
-rw-r--r--network/inadyn/rc.inadyn9
-rw-r--r--network/inadyn/slack-desc10
6 files changed, 44 insertions, 32 deletions
diff --git a/network/inadyn/README b/network/inadyn/README
index 784a241d57..bba485c197 100644
--- a/network/inadyn/README
+++ b/network/inadyn/README
@@ -1,5 +1,6 @@
-In-a-dyn is a small and simple Dynamic DNS, DDNS, client with HTTPS support.
-It is commonly available in many GNU/Linux distributions, used in off-the-shelf
-routers and Internet gateways to automate the task of keeping your DNS record
-up to date with any IP address changes from your ISP. It can also be used in
-installations with redundant (backup) connections to the Internet.
+In-a-dyn is a small and simple Dynamic DNS, DDNS, client with HTTPS
+support. It is commonly available in many GNU/Linux distributions,
+used in off-the-shelf routers and Internet gateways to automate the
+task of keeping your DNS record up to date with any IP address changes
+from your ISP. It can also be used in installations with redundant
+(backup) connections to the Internet.
diff --git a/network/inadyn/doinst.sh b/network/inadyn/doinst.sh
index 93170dac0d..9f785b0fb1 100644
--- a/network/inadyn/doinst.sh
+++ b/network/inadyn/doinst.sh
@@ -1,5 +1,3 @@
-#!/bin/sh
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -24,4 +22,3 @@ preserve_perms() {
}
preserve_perms etc/rc.d/rc.inadyn.new
-
diff --git a/network/inadyn/inadyn.SlackBuild b/network/inadyn/inadyn.SlackBuild
index 4f8f57afb5..7ae1e3d629 100644
--- a/network/inadyn/inadyn.SlackBuild
+++ b/network/inadyn/inadyn.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for inadyn
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=inadyn
-VERSION=${VERSION:-2.3.1}
+VERSION=${VERSION:-2.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -54,13 +64,13 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvJf $CWD/$PRGNAM-$VERSION.tar.xz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -69,6 +79,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -89,9 +100,14 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.inadyn > $PKG/etc/rc.d/rc.inadyn.new
+
+mkdir -p $PKG/var/cache/$PRGNAM
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS CONTRIBUTING.md \
+ AUTHORS CONTRIBUTING.md debian/ \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -99,8 +115,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-mkdir -p $PKG/etc/rc.d
-cat $CWD/rc.inadyn > $PKG/etc/rc.d/rc.inadyn.new
-
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/inadyn/inadyn.info b/network/inadyn/inadyn.info
index 91ad52fd8e..df3d372e1d 100644
--- a/network/inadyn/inadyn.info
+++ b/network/inadyn/inadyn.info
@@ -1,10 +1,10 @@
PRGNAM="inadyn"
-VERSION="2.3.1"
+VERSION="2.5"
HOMEPAGE="http://troglobit.com/projects/inadyn"
-DOWNLOAD="ftp://ftp.troglobit.com/inadyn/inadyn-2.3.1.tar.xz"
-MD5SUM="6a36f62bba5c9774bff25bf2be871bbb"
+DOWNLOAD="https://github.com/troglobit/inadyn/archive/v2.5/inadyn-2.5.tar.gz"
+MD5SUM="e06354b6a617c1eeca1e97c01f224bbb"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Kenneth Chan"
-EMAIL="kenneth.t.chan@gmail.com"
REQUIRES="confuse"
+MAINTAINER="kchan"
+EMAIL="kenneth.t.chan@gmail.com"
diff --git a/network/inadyn/rc.inadyn b/network/inadyn/rc.inadyn
index 381ac1b904..96d5768136 100644
--- a/network/inadyn/rc.inadyn
+++ b/network/inadyn/rc.inadyn
@@ -12,22 +12,23 @@ if [ ! -f /etc/inadyn.conf ]; then
fi
PIDFILE=/var/run/inadyn.pid
+SCRIPTNAME=$0
case "$1" in
start)
echo -n "Starting inadyn: /usr/sbin/inadyn"
- /usr/sbin/inadyn
+ /usr/sbin/inadyn --pidfile $PIDFILE
echo
;;
stop)
echo -n "Stopping inadyn... "
kill $( ps ax | grep inadyn | grep Ss | awk '{print $1}' )
- #kill -9 $( cat $PIDFILE 2> /dev/null )
+ rm -f $PIDFILE
echo
;;
restart)
- $0 stop
- $0 start
+ $SCRIPTNAME stop
+ $SCRIPTNAME start
;;
status)
pids=$( ps ax | grep inadyn | grep Ss | awk '{print $1}' )
diff --git a/network/inadyn/slack-desc b/network/inadyn/slack-desc
index b504c62aa2..10d8a64f3b 100644
--- a/network/inadyn/slack-desc
+++ b/network/inadyn/slack-desc
@@ -8,11 +8,11 @@
|-----handy-ruler------------------------------------------------------|
inadyn: inadyn (A Small and Simple DDNS Client)
inadyn:
-inadyn: In-a-dyn is a small and simple Dynamic DNS, DDNS, client with HTTPS
-inadyn: support. It is commonly available in many GNU/Linux distributions,
-inadyn: used in off-the-shelf routers and Internet gateways to automate the
-inadyn: task of keeping your DNS record up to date with any IP address
-inadyn: changes from your ISP. It can also be used in installations with
+inadyn: In-a-dyn is a small and simple Dynamic DNS, DDNS, client with HTTPS
+inadyn: support. It is commonly available in many GNU/Linux distributions,
+inadyn: used in off-the-shelf routers and Internet gateways to automate the
+inadyn: task of keeping your DNS record up to date with any IP address
+inadyn: changes from your ISP. It can also be used in installations with
inadyn: redundant (backup) connections to the Internet.
inadyn:
inadyn: Homepage: http://troglobit.com/projects/inadyn